关闭

CocoaPods痛不欲生的安装过程

标签: ios
145人阅读 评论(0) 收藏 举报
分类:

CocoaPods痛不欲生的安装过程

  1. Could not find a valid gem in any repository遇到的第一个问题
    然后就是各种坑了,无论怎么尝试都不行
    参考的文章链接:
    http://blog.csdn.net/folish_audi/article/details/37501403
    按照上面的一遍遍的操作,最后无意中打开了 https://rubygems.org/ 突然之间灵光一闪,会不会是作为source的http://ruby.taobao.org/ 找不到CocoaPods 切换到https://rubygems.org/ 然后就是无尽的等待了。
    增加数据源:gem source -a http://rubygems.org/
    数据源查看:gem source list

  2. 查看CocoaPods安装进度
    gem install cocoapods -V

  3. You cannot run CocoaPods as root
    安装之后用 pod install说找不到,用sudo pod install报You cannot run CocoaPods as root,深深的无奈。
    冷静了一把之后,应该是这样子的一个问题:
    用sudo gem install cocoapods -V安装的那么就要用sudo pod install
    用gem install cocoapods -V安装的那么就要用pod install,然后解决方法就来了
    重新安装一遍:gem install cocoapods -V

4.学习到的命令行:
gem list —- 列出本地安装的gem
gem env —- 列出gem的环境变量,包括本地安装的gem的目录等等
rvm use 2.0.0 –create –default —- 指定默认的ruby版本号

参考链接:
http://blog.csdn.net/folish_audi/article/details/37501403
http://stackoverflow.com/questions/15305350/gem-install-fails-with-openssl-failure
http://segmentfault.com/q/1010000000473568

PS:一定要多看控制台输出,遇到问题就解决问题。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:227次
    • 积分:21
    • 等级:
    • 排名:千里之外
    • 原创:2篇
    • 转载:0篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档